Subject: Re: Rebase 1.5-1: Causes invalid page fault
From: Jason Tishler <[email-masked]>
To: Nicholas Wourms <[email-masked]>
Cc: [email-masked]
Date: Thu, 27 Jun 2002 12:08:18 -0400

Nicholas,

On Wed, Jun 19, 2002 at 07:13:44AM -0700, Nicholas Wourms wrote:
> I am beginning to think that rebasing dll's isn't necessary for WinME/9x,
> due to the differences in memory management.  I only say this because in
> the doco's from Microsoft ReBase.exe is referred to as the NT DLL Rebase
> Tool.

Are you sure?  Because the MSDN:

    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/debug/imagehlp_1hut.asp

states that ReBaseImage() is available on Windows 95/98/Me.

Additionally, the MSDN:

    http://msdn.microsoft.com/library/default.asp?url=/library/en-us/tools/perfutil_2z39.asp

does *not* indicate that rebase.exe is for NT only.

> Anyhow, here is what I get with sdk rebase:
> 
> REBASE: *** RelocateImage failed (cygbz21.0.dll).  Image may be corrupted
> 
> Any thoughts on this?

Maybe your cygbz21.0.dll was already corrupted?  Please try again with a
known good one from the tarball.  Use file to verify that the DLL is OK
before trying to rebase.

Thanks,
Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/